slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVOrthogBlockType

Determines the method used in block orthogonalization (simultaneous orthogonalization of a set of vectors)

### Synopsis

    typedef enum { BV_ORTHOG_BLOCK_GS,
                   BV_ORTHOG_BLOCK_CHOL,
                   BV_ORTHOG_BLOCK_TSQR,
                   BV_ORTHOG_BLOCK_TSQRCHOL,
                   BV_ORTHOG_BLOCK_SVQB     } BVOrthogBlockType;

### See Also

BVSetOrthogonalization(), BVGetOrthogonalization(), BVOrthogonalize()

### Level

advanced

### Location

include/slepcbv.h
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages